//*************************************************************
//  Variable Declarations
//*************************************************************
System.Gadget.settingsUI = "Settings.html";

var Favorites = "";
var CurrSong = 0;
var TrackCount = 0;
var FavList = "";

var ChanReq = "";
var ChanList = "";
var ChansPage = "";
var ChanSelect = "";
var ChanIndex = "";
var TimerInterval = 1000;
var GetSongIntervalID = "";
var TimeOutPlayer = "";
var RadioVol = 50;
var URL = "";
var i = 0;
var x = 0;
var y = 0;
var uiString = "";
var Shell = new ActiveXObject("WScript.Shell");
var oFSO = new ActiveXObject("Scripting.FileSystemObject");
var XMLDoc = new ActiveXObject("Microsoft.XMLDOM"); 
var XMLObj = "";

//*************************************************************
//  Reading XML File (Utility Functions)
//*************************************************************
function LoadXML(XMLFile) 
{ 
 XMLDoc.async="false"; 
 XMLDoc.onreadystatechange=Verify; 
 XMLDoc.load(XMLFile); 
 XMLObj = XMLDoc.documentElement; 
}

function Verify() 
{ 
 	if (XMLDoc.readyState != 4) 
		return false; 
}

//*************************************************************
//  Create POST/GET Ajax Element (Utility Function)
//*************************************************************
function XmlHttpObject(Handler)
{ 
	var ObjXMLHttp = null;
	ObjXMLHttp = new XMLHttpRequest();
	ObjXMLHttp.onreadystatechange = Handler;
	return ObjXMLHttp;
}

//*************************************************************
//  Build Channels
//*************************************************************
function BuildChannels()
{
	try {
		LoadXML("http://www.unsignedbandweb.com/music/master_xml.php");
		var xFile = XMLDoc.getElementsByTagName("channel")[0];
		var xTemp = xFile.getElementsByTagName("station");
		ChanList = "";
		var CStyle1 = "";
		var CStyle2 = "";
		var ChanNum = "";
		var ChanName = "";
		x = 0;
		y = 0;
		while (x < xTemp.length)
		{
			var xTemp2 = xTemp[x];
			var xName = xTemp2.getElementsByTagName("stationname")[0].text;
			if (xName == "")
				xName = "Rock";
			var xStyle = xName.replace(/ /gi, "_");
			xStyle = xStyle.replace(/&/gi, "And");
			
			CStyle2 = "CH-" + xStyle + "-Dark";
			CStyle1 = "CH-" + xStyle + "-Light";

			ChanList += '<div class="ChannelHeader ' + CStyle2 + '">' + xName + '</div>';
			
			// Station 1 Channel
			var Stat1Name = xTemp2.getElementsByTagName("station1name")[0].text;
			var Stat1Feed = xTemp2.getElementsByTagName("station1feed")[0].text;
			var Stat1ID = Stat1Name.replace(/ /gi, "_");
			Stat1ID = Stat1ID.replace(/&/gi, "And");
			
			ChanList += '<div class="ChannelItem ' + CStyle1 + '-Item">';
			ChanList += '<div class="ChannelTitle ' + CStyle1 + '" id="' + Stat1ID + 'Title" onclick="System.Gadget.document.parentWindow.ChangeToStation(\'' + Stat1ID + '\');">' + Stat1Name + '</div></div>';
			ChanList += '<div id="' + Stat1ID + 'Feed" style="display:none;">' + Stat1Feed + '</div>';
			ChanList += '</div>';
			
			// Station 2 Channel
			var Stat2Name = xTemp2.getElementsByTagName("station2name")[0].text;
			var Stat2Feed = xTemp2.getElementsByTagName("station2feed")[0].text;
			var Stat2ID = Stat2Name.replace(/ /gi, "_");
			Stat2ID = Stat2ID.replace(/&/gi, "And");
			
			ChanList += '<div class="ChannelItem ' + CStyle1 + '-Item">';
			ChanList += '<div class="ChannelTitle ' + CStyle1 + '" id="' + Stat2ID + 'Title" onclick="System.Gadget.document.parentWindow.ChangeToStation(\'' + Stat2ID + '\');">' + Stat2Name + '</div></div>';
			ChanList += '<div id="' + Stat2ID + 'Feed" style="display:none;">' + Stat2Feed + '</div>';
			ChanList += '</div>';
			
			// Station 3 Channel
			var Stat3Name = xTemp2.getElementsByTagName("station3name")[0].text;
			var Stat3Feed = xTemp2.getElementsByTagName("station3feed")[0].text;
			var Stat3ID = Stat3Name.replace(/ /gi, "_");
			Stat3ID = Stat3ID.replace(/&/gi, "And");
			
			ChanList += '<div class="ChannelItem ' + CStyle1 + '-Item">';
			ChanList += '<div class="ChannelTitle ' + CStyle1 + '" id="' + Stat3ID + 'Title" onclick="System.Gadget.document.parentWindow.ChangeToStation(\'' + Stat3ID + '\');">' + Stat3Name + '</div></div>';
			ChanList += '<div id="' + Stat3ID + 'Feed" style="display:none;">' + Stat3Feed + '</div>';
			ChanList += '</div>';
			
			x++;
		}
	}
	catch(err){}
	
	System.Gadget.document.getElementById("ChannelHolder").innerHTML = ChanList;
}